<!DOCTYPE html>
<html>

<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <script>
    $(document).ready(function () {
      "use strict";
      /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

      /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
      $("#btn-kt-01").on("click", onBtnKiemTra01);

      $("#btn-kt-01").on("click", onBtnKiemTra01);

      $("#btn-red").on("click", onBtnRedClick);

      $("#btn-yellow").on("click", onBtnYellowClick);

      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

      //hàm xử lý khi click nút kiểm tra 01
      function onBtnKiemTra01() {
        "use strict"
        var vVoucherInput = $("#voucher-01");
        var vVoucher = vVoucherInput.val();

        var vDivMaGiamGia = $("#ma-giam-gia-01");

        vDivMaGiamGia.html(vVoucher);
        vDivMaGiamGia.addClass("text-success");
      }

      //hàm xử lý khi click nút kiểm tra 02
      function onBtnKiemTra02() {
        "use strict"
        var vVoucherInput = $("#voucher-02");
        var vDivMaGiamGia = $("#ma-giam-gia-02");
        var vValueMaGiamGia = vDivMaGiamGia.text();

        vVoucherInput.val(vValueMaGiamGia);
        vVoucherInput.addClass("border border-danger");
      }

      //hàm khi click nút đổi màu đỏ
      function onBtnRedClick() {
        "use strict"
        var vDivContent = $("#content-div");
        vDivContent.prop('style', "color: red");
      }

      //Hàm xử lý khi click nút đổi vàng
      function onBtnYellowClick() {
        "use strict"
        var vDivContent = $("#content-div");
        vDivContent.prop('style', "color: yellow");
      }


      /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    });
  </script>
</head>

<body>
  <div class="container">
    <h4>jQUERY BASIC METHODS</h4>
    <!-- Div voucher 01 -->
    <div id="voucher-form-01" class="jumbotron p-4">
      <div class="row form-group">
        1) Khi ấn nút Kiểm tra 01, lấy được value của ô text mã giảm giá và gán giá trị vào thẻ div ma-giam-gia-01
        và đổi màu thẻ div thành class text-success
      </div>
      <div class="row form-group align-middle">
        <div class="col-sm-6 form-inline">
          <label class="mr-2">Mã giảm giá</label>
          <input id="voucher-01" placeholder="Nhập mã giảm giá.." class="form-control">
        </div>
        <div class="col-sm-6 form-inline">
          <div id="ma-giam-gia-01">ma-giam-gia-01</div>
        </div>
      </div>
      <div class="form-group">
        <button id="btn-kt-01" class="btn btn-success">Kiểm tra 01</button>
      </div>
    </div>

    <!-- Div voucher 02 -->
    <div id="voucher-form-02" class="jumbotron p-4">
      <div class="row form-group">
        2) Khi ấn nút Kiểm tra 02, lấy giá trị của div ma-giam-gia-02
        và gán giá trị vào ô text mã giảm giá, đổi border cho ô text thành class border-danger
      </div>
      <div class="row form-group">
        <div class="col-sm-6">
          <div id="ma-giam-gia-02">24864</div>
        </div>
        <div class="col-sm-6 form-inline">
          <label class="mr-2">Mã giảm giá</label>
          <input id="voucher-02" placeholder="Mã giảm giá.." class="form-control">
        </div>
      </div>
      <div class="form-group">
        <button id="btn-kt-02" class="btn btn-success">Kiểm tra 02</button>
      </div>
    </div>

    <!-- Div 2 button -->
    <div id="content-form" class="jumbotron p-4">
      <div class="row form-group">
        3) Khi ấn 2 nút bên dưới, đổi màu chữ thẻ div có id = "content-div" tương ứng với màu nút<br>
      </div>
      <div class="row form-group">
        <div id="content-div">Nội dung bên trong thẻ div cần đổi màu</div>
      </div>
      <div class="form-group">
        <button id="btn-red" class="btn btn-danger">Màu đỏ</button>
        <button id="btn-yellow" class="btn btn-warning">Màu vàng</button>
      </div>
    </div>
  </div>

</body>

</html>